Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Interface EZDistribution

All Known Implementing Classes:
  EZDistributionImpl

public interface EZDistribution
extends EZBin, EZBinS

An EZBin that treats data as a distribution.. This is a subclass of EZBin which normalizes the data and treats it as a distribution. This means that in addition to the statistics it can calculate by virtue of being a subclass of EZBin, it can also calculate the entropy of the distribution as well as return the probabilities associated with the individual bins.

Method Summary
`double` | `getEntropy()` The getEntropy method returns the entropy of the distribution as calculated in the previous call to update.
`void` | `output()` The output method causes the graphical display to be updated with the information extracted by the previous call to update.
`void` | `update()` The update method polls the bins and updates the entropy of the distribution as well as the probabilities associated with the individual bins.

Methods inherited from interface swarm.analysis.EZBin
`getAverage, getBinColorCount, getBinCount, getCount, getFileName, getHistogram, getLowerBound, getMax, getMin, getOutliers, getStdDev, getTitle, getUpperBound, outputGraph, outputToFile, reset, setPrecision`

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.simtoolsgui.GUIComposite
`disableDestroyNotification, enableDestroyNotification$notificationMethod`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### update

    public void update()

  The update method polls the bins and updates the entropy of the distribution as well as the probabilities associated with the individual bins.
  Specified by:
    update in interface EZBin

### output

    public void output()

  The output method causes the graphical display to be updated with the information extracted by the previous call to update. When file I/O is enabled (the state of setFileOutput is set to 1), the probability associated with each bin is sent to the output file. When the graphical display is enabled (the state of setGraphics is set to 1), the histogram will be drawn.
  Specified by:
    output in interface EZBin

### getEntropy

    public double getEntropy()

  The getEntropy method returns the entropy of the distribution as calculated in the previous call to update.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD